#ifndef TITAN_PCBCAM_STEPREPEAT_H
#define TITAN_PCBCAM_STEPREPEAT_H
#include "../titanpcbcamglobal.h"
#include <QSharedDataPointer>


class PcbCamStepRepeatData;
class TITAN_PCBCAM_EXPORT PcbCamStepRepeat
{
public:
    PcbCamStepRepeat();
    PcbCamStepRepeat(const PcbCamStepRepeat &);
    PcbCamStepRepeat &operator=(const PcbCamStepRepeat &);
    ~PcbCamStepRepeat();

    QString id() const;
    void setId(const QString &iId);

    QString step() const;
    void setStep(const QString &iStep);

    qreal x() const;
    void setX(qreal iX);

    qreal y() const;
    void setY(qreal iY);

    qreal dx() const;
    void setDx(qreal iDx);

    qreal dy() const;
    void setDy(qreal iDy);

    uint nx() const;
    void setNx(uint iNx);

    uint ny() const;
    void setNy(uint iNy);

    qreal angle() const;
    void setAngle(qreal iAngle);

    bool mirror() const;
    void setMirror(bool iMirror);

    bool isSelected() const;
    void setSelected(bool iSelected);


private:
    QSharedDataPointer<PcbCamStepRepeatData> d;
};


#endif // TITAN_PCBCAM_STEPREPEAT_H
